<html>
<head>
<title>Ogre::D3D9HardwareVertexBuffer::BufferResources Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D9HardwareVertexBuffer.html">D3D9HardwareVertexBuffer</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1D3D9HardwareVertexBuffer_1_1BufferResources.html">BufferResources</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::D3D9HardwareVertexBuffer::BufferResources Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::D3D9HardwareVertexBuffer::BufferResources" -->
<p><code>#include &lt;<a class="el" href="OgreD3D9HardwareVertexBuffer_8h_source.html">OgreD3D9HardwareVertexBuffer.h</a>&gt;</code></p>

<p><a href="structOgre_1_1D3D9HardwareVertexBuffer_1_1BufferResources-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DVertexBuffer9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9HardwareVertexBuffer_1_1BufferResources.html#adcee1fdd66c27c74f09e7845e1a31dea">mBuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9HardwareVertexBuffer_1_1BufferResources.html#acdea58691039d6cdd31bf14ec5164a85">mOutOfDate</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9HardwareVertexBuffer_1_1BufferResources.html#a5658c768cc185b7f5121347b886b2e2c">mLockOffset</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9HardwareVertexBuffer_1_1BufferResources.html#a8b570d4bda57b6ea5eb4259e9d5c373e">mLockLength</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">LockOptions</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9HardwareVertexBuffer_1_1BufferResources.html#a3fc3530fd30c3e5e2b38b0ec4907317b">mLockOptions</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9HardwareVertexBuffer_1_1BufferResources.html#a761a4f076f6b67ba612aed1466efa5f7">mLastUsedFrame</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreD3D9HardwareVertexBuffer_8h_source.html#l00070">70</a> of file <a class="el" href="OgreD3D9HardwareVertexBuffer_8h_source.html">OgreD3D9HardwareVertexBuffer.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="adcee1fdd66c27c74f09e7845e1a31dea"></a><!-- doxytag: member="Ogre::D3D9HardwareVertexBuffer::BufferResources::mBuffer" ref="adcee1fdd66c27c74f09e7845e1a31dea" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DVertexBuffer9* <a class="el" href="structOgre_1_1D3D9HardwareVertexBuffer_1_1BufferResources.html#adcee1fdd66c27c74f09e7845e1a31dea">Ogre::D3D9HardwareVertexBuffer::BufferResources::mBuffer</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9HardwareVertexBuffer_8h_source.html#l00072">72</a> of file <a class="el" href="OgreD3D9HardwareVertexBuffer_8h_source.html">OgreD3D9HardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a761a4f076f6b67ba612aed1466efa5f7"></a><!-- doxytag: member="Ogre::D3D9HardwareVertexBuffer::BufferResources::mLastUsedFrame" ref="a761a4f076f6b67ba612aed1466efa5f7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="structOgre_1_1D3D9HardwareVertexBuffer_1_1BufferResources.html#a761a4f076f6b67ba612aed1466efa5f7">Ogre::D3D9HardwareVertexBuffer::BufferResources::mLastUsedFrame</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9HardwareVertexBuffer_8h_source.html#l00077">77</a> of file <a class="el" href="OgreD3D9HardwareVertexBuffer_8h_source.html">OgreD3D9HardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8b570d4bda57b6ea5eb4259e9d5c373e"></a><!-- doxytag: member="Ogre::D3D9HardwareVertexBuffer::BufferResources::mLockLength" ref="a8b570d4bda57b6ea5eb4259e9d5c373e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1D3D9HardwareVertexBuffer_1_1BufferResources.html#a8b570d4bda57b6ea5eb4259e9d5c373e">Ogre::D3D9HardwareVertexBuffer::BufferResources::mLockLength</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9HardwareVertexBuffer_8h_source.html#l00075">75</a> of file <a class="el" href="OgreD3D9HardwareVertexBuffer_8h_source.html">OgreD3D9HardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5658c768cc185b7f5121347b886b2e2c"></a><!-- doxytag: member="Ogre::D3D9HardwareVertexBuffer::BufferResources::mLockOffset" ref="a5658c768cc185b7f5121347b886b2e2c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1D3D9HardwareVertexBuffer_1_1BufferResources.html#a5658c768cc185b7f5121347b886b2e2c">Ogre::D3D9HardwareVertexBuffer::BufferResources::mLockOffset</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9HardwareVertexBuffer_8h_source.html#l00074">74</a> of file <a class="el" href="OgreD3D9HardwareVertexBuffer_8h_source.html">OgreD3D9HardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3fc3530fd30c3e5e2b38b0ec4907317b"></a><!-- doxytag: member="Ogre::D3D9HardwareVertexBuffer::BufferResources::mLockOptions" ref="a3fc3530fd30c3e5e2b38b0ec4907317b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">LockOptions</a> <a class="el" href="structOgre_1_1D3D9HardwareVertexBuffer_1_1BufferResources.html#a3fc3530fd30c3e5e2b38b0ec4907317b">Ogre::D3D9HardwareVertexBuffer::BufferResources::mLockOptions</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9HardwareVertexBuffer_8h_source.html#l00076">76</a> of file <a class="el" href="OgreD3D9HardwareVertexBuffer_8h_source.html">OgreD3D9HardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="acdea58691039d6cdd31bf14ec5164a85"></a><!-- doxytag: member="Ogre::D3D9HardwareVertexBuffer::BufferResources::mOutOfDate" ref="acdea58691039d6cdd31bf14ec5164a85" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1D3D9HardwareVertexBuffer_1_1BufferResources.html#acdea58691039d6cdd31bf14ec5164a85">Ogre::D3D9HardwareVertexBuffer::BufferResources::mOutOfDate</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9HardwareVertexBuffer_8h_source.html#l00073">73</a> of file <a class="el" href="OgreD3D9HardwareVertexBuffer_8h_source.html">OgreD3D9HardwareVertexBuffer.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreD3D9HardwareVertexBuffer_8h_source.html">OgreD3D9HardwareVertexBuffer.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:16
</p>
</body>
</html>
